Skip to main content
Version: Latest

Stop/Start Endpoints

This section describes the usage and specifics of the available Stop/Start endpoints of the a9s Public API V1.

info

Before you can access any of the mentioned endpoints, you have to follow the steps mentioned in Accessing the a9s Public API.

Stop/Start Feature Endpoints Caveats

The following endpoints are part of the Stop/Start feature, which is currently in Beta. This means that:

  • These endpoints are only available for Data Services with the Stop/Start feature enabled.
  • These endpoints are subject to change without deprecation, and they should not be used in production environments.

For more information about the Stop/Start feature, see Stop/Start a Service Instance.

danger

Currently a9s PostgreSQL is the only Data Service that supports the usage of the Stop/Start feature.

Trying to apply the information contained on this document to an a9s Data Service aside from the ones mentioned above can leave the Service Instances in an irrecuperable state.

Start a Service Instance

This request triggers the start process on a stopped Service Instance.

info

This endpoint is only available for Data Services with the Stop/Start feature enabled.

Route

POST /v1/instances/:instance_id/start

cURL

curl -X POST --insecure --header "Content-Type: application/json" --header "Authorization: $(bearer_token)" \
"${url}/start"

Response

Body

For success responses, the following fields are defined:

Response FieldTypeDescription
operationstringThe start operation's number.
Example
{
"operation":"123"
}

For error responses, the following fields are defined:

Response FieldTypeDescription
errorstringA single word in camel case that uniquely identifies the error condition.
descriptionstringA user-facing error message explaining why the request failed.

Status

Status CodeDescription
202 AcceptedThe request has been accepted for processing, but the processing has not been completed. The request might or might not eventually be acted upon, as it might be disallowed when processing actually takes place. There is no facility for re-sending a status code from an asynchronous operation such as this.
401 UnauthorizedThe user does not have valid authentication credentials for the target resource.
404 Not FoundEntity not found.
409 ConflictThere is already such action in progress.
500 Internal Server ErrorAn unexpected error occurred while handling the request.

Stop a Service Instance

This request triggers the stop process on a provisioned Service Instance.

info

This endpoint is only available for Data Services with the Stop/Start feature enabled.

Route

POST /v1/instances/:instance_id/stop

cURL

curl -X POST --insecure --header "Content-Type: application/json" --header "Authorization: $(bearer_token)" \
"${url}/stop"

Response

Body

For success responses, the following fields are defined:

Response FieldTypeDescription
operationstringThe stop operation's number.
Example
{
"operation":"123"
}

For error responses, the following fields are defined:

Response FieldTypeDescription
errorstringA single word in camel case that uniquely identifies the error condition.
descriptionstringA user-facing error message explaining why the request failed.

Status

Status CodeDescription
202 AcceptedThe request has been accepted for processing, but the processing has not been completed. The request might or might not eventually be acted upon, as it might be disallowed when processing actually takes place. There is no facility for re-sending a status code from an asynchronous operation such as this.
401 UnauthorizedThe user does not have valid authentication credentials for the target resource.
404 Not FoundEntity not found.
409 ConflictThere is already such action in progress.
500 Internal Server ErrorAn unexpected error occurred while handling the request.
501 Not ImplementedThe requested functionality is not implemented.

List Operations

This request lists all operations for a Service Instance.

info

This endpoint is only available for Data Services with the Stop/Start feature enabled.

Route

GET /v1/instances/:instance_id/operations?page=x&per_page=y

  • :instance_id MUST be the ID of a previously provisioned Service Instance.
  • page Page number to retrieve. If not set, the first page will be returned.
  • per_page Number of elements per page. If not set, a default value will be used.

cURL

curl -X GET --insecure --header "Content-Type: application/json" --header "Authorization: $(bearer_token)" \
"${url}/operations?page=1&per_page=4"

Response

Body

For success responses, the following fields are defined:

Response FieldTypeDescription
next_urlstringThe URL for the next page of results.
prev_urlstringThe URL for the previous page of results.
resourcesarrayThe list of operations.
total_pagesintegerThe total number of pages.
total_resultsintegerThe total number of results.

The resources array is composed of objects representing individual operations. These objects contain the following fields:

Object FieldTypeDescription
created_atdatetimeThe date when the operation was created.
descriptionstringA description of the operation.
finished_atdatetimeThe date when the operation was finished.
idintegerThe ID of the operation.
started_atdatetimeThe date when the operation was started.
statestringThe current state of the operation.
typestringThe type of the operation.
updated_atdatetimeThe date when the operation was last updated.
Example
{
"next_url": "/v1/instances/9dd16527-32e1-4ed2-9cc3-616f18ce1d1c/operations?page=2&per_page=2",
"prev_url": null,
"resources": [
{
"created_at": "2026-03-09T13:23:29.831Z",
"description": "provision instance 9dd16527-32e1-4ed2-9cc3-616f18ce1d1c@anynines with plan 730190f6-b790-400e-a872-864a7c374223",
"finished_at": "2026-03-09T13:27:05.428Z",
"id": 3,
"started_at": "2026-03-09T13:23:31.392Z",
"state": "done",
"type": "ProvisionInstance",
"updated_at": "2026-03-09T13:27:05.429Z"
},
{
"created_at": "2026-03-09T15:20:08.439Z",
"description": "update instance 9dd16527-32e1-4ed2-9cc3-616f18ce1d1c@anynines",
"finished_at": "2026-03-09T15:21:06.203Z",
"id": 14,
"started_at": "2026-03-09T15:20:10.414Z",
"state": "done",
"type": "UpdateInstance",
"updated_at": "2026-03-09T15:21:06.204Z"
}
],
"total_pages": 5,
"total_results": 9
}

For error responses, the following fields are defined:

Response FieldTypeDescription
errorstringA single word in camel case that uniquely identifies the error condition.
descriptionstringA user-facing error message explaining why the request failed.

Status

Status CodeDescription
200 OKIf the request has been processed successfully.
401 UnauthorizedThe user does not have valid authentication credentials for the target resource.
404 Not FoundEntity not found.
500 Internal Server ErrorAn unexpected error occurred while handling the request.

Get a Specific Operation

This request retrieves a specific operation of the specified Service Instance.

info

This endpoint is only available for Data Services with the Stop/Start feature enabled.

Route

GET /v1/instances/:instance_id/operations/:operation_id

  • :instance_id MUST be the ID of a previously provisioned Service Instance.
  • :operation_id MUST be the ID of a specific operation for the Service Instance.

cURL

curl -X GET --insecure --header "Content-Type: application/json" --header "Authorization: $(bearer_token)" \
"${url}/operations/:operation_id"

Response

Body

For success responses, the following fields are defined:

Object FieldTypeDescription
created_atdatetimeThe date when the operation was created.
descriptionstringA description of the operation.
finished_atdatetimeThe date when the operation was finished.
idintegerThe ID of the operation.
started_atdatetimeThe date when the operation was started.
statestringThe current state of the operation.
typestringThe type of the operation.
updated_atdatetimeThe date when the operation was last updated.
Example
{
"created_at": "2026-03-11T14:49:36.623Z",
"description": "start instance 9dd16527-32e1-4ed2-9cc3-616f18ce1d1c@anynines",
"finished_at": null,
"id": 4,
"started_at": "2026-03-11T14:49:38.887Z",
"state": "pending",
"type": "StartInstance",
"updated_at": "2026-03-11T14:52:14.509Z"
}

For error responses, the following fields are defined:

Response FieldTypeDescription
errorstringA single word in camel case that uniquely identifies the error condition.
descriptionstringA user-facing error message explaining why the request failed.

Status

Status CodeDescription
202 AcceptedThe request has been accepted for processing, but the processing has not been completed. The request might or might not eventually be acted upon, as it might be disallowed when processing actually takes place. There is no facility for re-sending a status code from an asynchronous operation such as this.
401 UnauthorizedThe user does not have valid authentication credentials for the target resource.
404 Not FoundEntity not found.
409 ConflictThere is already such action in progress.
500 Internal Server ErrorAn unexpected error occurred while handling the request.